
From: Hirokazu Takata <takata@linux-m32r.org>

  This patch upgrades zone_sizes_init() function.
  This patch is required because free_area_init_node()'s interface 
  has been changed.

	* arch/m32r/mm/discontig.c (zone_sizes_init): 
	Change free_area_init_node() interface.

	* arch/m32r/mm/init.c: ditto.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/m32r/mm/discontig.c |    2 +-
 25-akpm/arch/m32r/mm/init.c      |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN arch/m32r/mm/discontig.c~m32r-update-zone_sizes_init arch/m32r/mm/discontig.c
--- 25/arch/m32r/mm/discontig.c~m32r-update-zone_sizes_init	2004-09-11 16:36:56.767074112 -0700
+++ 25-akpm/arch/m32r/mm/discontig.c	2004-09-11 16:36:56.772073352 -0700
@@ -152,7 +152,7 @@ unsigned long __init zone_sizes_init(voi
 		zholes_size[ZONE_DMA] = mp->holes;
 		holes += zholes_size[ZONE_DMA];
 
-		free_area_init_node(nid, NODE_DATA(nid), NULL, zones_size,
+		free_area_init_node(nid, NODE_DATA(nid), zones_size,
 			start_pfn, zholes_size);
 	}
 
diff -puN arch/m32r/mm/init.c~m32r-update-zone_sizes_init arch/m32r/mm/init.c
--- 25/arch/m32r/mm/init.c~m32r-update-zone_sizes_init	2004-09-11 16:36:56.769073808 -0700
+++ 25-akpm/arch/m32r/mm/init.c	2004-09-11 16:36:56.773073200 -0700
@@ -120,8 +120,7 @@ unsigned long __init zone_sizes_init(voi
         start_pfn = __MEMORY_START >> PAGE_SHIFT;
 #endif /* CONFIG_MMU */
 
-	free_area_init_node(0, NODE_DATA(0), 0, zones_size,
-		start_pfn, 0);
+	free_area_init_node(0, NODE_DATA(0), zones_size, start_pfn, 0);
 
 	mem_map = contig_page_data.node_mem_map;
 
_
